oasis.names.tc.saml._2_0.protocol

## Class NameIDMappingResponse

- java.lang.Object
- - oasis.names.tc.saml._2_0.protocol.StatusResponseType
  - - oasis.names.tc.saml._2_0.protocol.NameIDMappingResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:39:19+01:00",
                 comments="JAXB RI v2.3.7")
      public class NameIDMappingResponse
      extends StatusResponseType
      implements Serializable

  Java class for NameIDMappingResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NameIDMappingResponseType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}StatusResponseType">
             <choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}NameID"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedID"/>
             </choice>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameIDMappingResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EncryptedElementType` | `getEncryptedID()` Gets the value of the encryptedID property.
    `NameIDType` | `getNameID()` Gets the value of the nameID property.
    `void` | `setEncryptedID(EncryptedElementType value)` Sets the value of the encryptedID property.
    `void` | `setNameID(NameIDType value)` Sets the value of the nameID property.

    - ### Methods inherited from class oasis.names.tc.saml._2_0.protocol.StatusResponseType

      `getConsent, getDestination, getExtensions, getID, getInResponseTo, getIssueInstant, getIssuer, getSignature, getStatus, getVersion, setConsent, setDestination, setExtensions, setID, setInResponseTo, setIssueInstant, setIssuer, setSignature, setStatus, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameIDMappingResponse

          public NameIDMappingResponse()

  - ### Method Detail

    - #### getEncryptedID

          public EncryptedElementType getEncryptedID()

      Gets the value of the encryptedID property.
      Returns:
        possible object is `EncryptedElementType`

    - #### setEncryptedID

          public void setEncryptedID(EncryptedElementType value)

      Sets the value of the encryptedID property.
      Parameters:
        `value` - allowed object is `EncryptedElementType`

    - #### getNameID

          public NameIDType getNameID()

      Gets the value of the nameID property.
      Returns:
        possible object is `NameIDType`

    - #### setNameID

          public void setNameID(NameIDType value)

      Sets the value of the nameID property.
      Parameters:
        `value` - allowed object is `NameIDType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.